Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class OrderedLongLinkedList

    java.lang.Object
      org.exist.util.LongLinkedList
          org.exist.util.OrderedLongLinkedList

public class OrderedLongLinkedList
extends LongLinkedList

OrderedLongLinkedList.java

Author:
  Wolfgang Meier

Nested Class Summary

Nested classes inherited from class org.exist.util.LongLinkedList
`LongLinkedList.ListItem`

Constructor Summary
`OrderedLongLinkedList()` Constructor for OrderedLongLinkedList.

Method Summary
`void` | `add(long l)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.exist.util.LongLinkedList
`contains, getData, getFirst, getLast, getSize, iterator, removeFirst, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderedLongLinkedList

    public OrderedLongLinkedList()

  Constructor for OrderedLongLinkedList.

Method Detail

### add

    public void add(long l)

  Overrides:
    `add` in class `LongLinkedList`
  See Also:
    `LongLinkedList.add(long)`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.